/*
  SerialDLF.h - Arduino Library
  Copyright (c) 2013 Denis LE FUR.  All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef SensoduinoDLF_h
#define SensoduinoDLF_h
   
#include "Arduino.h"

//Android Sensor Type No:
#define SSD_ACCELEROMETER 1 // ACCELEROMETER  (m/s^2 - X,Y,Z)");
#define SSD_MAGNETIC_FIELD 2 // MAGNETIC_FIELD (uT - X,Y,Z)");
#define SSD_ORIENTATION 3 // ORIENTATION (yaw, pitch, roll)");
#define SSD_GYROSCOPE 4 // GYROSCOPE (rad/s - X,Y,Z)");
#define SSD_LIGHT 5 // LIGHT (SI lux)");
#define SSD_PRESSURE 6 // PRESSURE (hPa millibar)");
#define SSD_DEVICE_TEMPERATURE 7 // DEVICE TEMPERATURE (C)");
#define SSD_PROXIMITY 8 // PROXIMITY (Centimeters or 1,0)");
#define SSD_GRAVITY 9 // GRAVITY (m/s^2 - X,Y,Z)");
#define SSD_ACCELERATION 10 // LINEAR_ACCELERATION (m/s^2 - X,Y,Z)");
#define SSD_ROTATION 11// ROTATION_VECTOR (X,Y,Z)" );
#define SSD_RELATIVE_HUMIDITY 12 // RELATIVE_HUMIDITY (%)");
#define SSD_AMBIENT_TEMPERATURE 13 // AMBIENT_TEMPERATURE (C)");
#define SSD_MAGNETIC_FIELD_UNCALIBRATED 14 // MAGNETIC_FIELD_UNCALIBRATED (uT - X,Y,Z)");
#define SSD_GAME_ROTATION_VECTOR 15 // GAME_ROTATION_VECTOR (X,Y,Z)");
#define SSD_GYROSCOPE_UNCALIBRATED 16 // GYROSCOPE_UNCALIBRATED (rad/s - X,Y,Z)");
#define SSD_SIGNIFICANT_MOTION 17 // SIGNIFICANT_MOTION (1,0)");
#define SSD_TIME 95 // TIME (H,M,S)");
#define SSD_DATE 96 // DATE (Y,M,D)");
#define SSD_AUDIO 97 // AUDIO (Vol.)");
#define SSD_GPS1 98 // GPS1 (lat., long., alt.)");
#define SSD_GPS2 99 //- GPS2 (bearing, speed, date/time)");

//: IGNORE VALUES OF 99.99.


//-------------------------------------------------
// Classe Sensoduino
//-------------------------------------------------        

class Sensoduino
{
	public:
		Sensoduino(String message);
		String get();
		int getType();
		int getCounter();
		float getVal0();
		float getVal1();
		float getVal2();
	private:
		int _type;
		int _counter;
		float _val0;
		float _val1;
		float _val2;
};



#endif
